import java.io.*;
import java.awt.*;
import javax.swing.event.*;
import java.awt.event.*;

public class Handler extends MouseInputAdapter implements ActionListener, ChangeListener
{
  private Model m;

  // Bob the Builder this shit
  public Handler(Model model)
  {
    m = model;
  }
  
  public void mousePressed(MouseEvent e)
  {
    m.newThingy(e.getX(), e.getY());
  }
  
  public void mouseDragged(MouseEvent e)
  {
    m.addPoint(e.getX(), e.getY());
  }

  public void actionPerformed(ActionEvent e)
  {
    
  }

  public void stateChanged(ChangeEvent e)
  {
    
  }
}
